ChiliProject - Bug # 966: "edit own notes" fails since 3.1.0

Status: Closed Priority: Normal
Author: Alim Ozdemir Category: Permissions
Created: 2012-04-05 Assignee: Felix Schafer
Updated: 2012-04-07 Due date:

Remote issue URL:

Affected version: master

Description: Activating the permission of "edit own notes", enables the edit icon on the notes.

Nothing happens however when clicking on it.

The log says:

Processing JournalsController#edit (for xxxxx at 2012-04-05 11:43:24) [GET]
Parameters: {"action"=>"edit", "id"=>"5874", "controller"=>"journals"}
Completed in 19ms (View: 0, DB: 1) | 403 Forbidden [http://xxxxx/journals/edit/5874]

instead of (when granting "edit notes":

Processing JournalsController#edit (for xxxxx at 2012-04-05 11:42:45) [GET]
Parameters: {"action"=>"edit", "id"=>"5874", "controller"=>"journals"}

Rendering journals/edit

Completed in 24ms (View: 7, DB: 1) | 200 OK [http://xxxxx/journals/edit/5874]

Associated revisions

2008-03-31 11:48 pm - Jean-Philippe Lang

Move repetitive calendar include code from views into helper (patch #966 by Peter Suschlik).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1315 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-04-07 03:59 pm - Felix SchArfer

correct 'edit own issue notes' permission #966

History

2012-04-07 02:05 pm - Felix Schafer

- Target version set to 3.2.0

- Assignee set to Felix Schéfer

- Category set to Permissions

- Status changed from Open to Closed

Corrected in commit:8f06b77, it seems the fix for #888 didn't fix it quite correctly :-)
